"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const graphql_1 = require("graphql");
const printDefault = (ast) => {
    if (!ast) {
        return '';
    }
    return graphql_1.print(ast);
};
function DefaultValue({ field }) {
    if ('defaultValue' in field && field.defaultValue !== undefined) {
        return (<span>
        {' = '}
        <span className="arg-default-value">
          {printDefault(graphql_1.astFromValue(field.defaultValue, field.type))}
        </span>
      </span>);
    }
    return null;
}
exports.default = DefaultValue;
//# sourceMappingURL=DefaultValue.jsx.map