"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Argument_1 = __importDefault(require("./Argument"));
const MarkdownContent_1 = __importDefault(require("./MarkdownContent"));
const TypeLink_1 = __importDefault(require("./TypeLink"));
function FieldDoc({ field, onClickType }) {
    let argsDef;
    if (field && 'args' in field && field.args.length > 0) {
        argsDef = (<div className="doc-category">
        <div className="doc-category-title">{'arguments'}</div>
        {field.args.map((arg) => (<div key={arg.name} className="doc-category-item">
            <div>
              <Argument_1.default arg={arg} onClickType={onClickType}/>
            </div>
            <MarkdownContent_1.default className="doc-value-description" markdown={arg.description}/>
          </div>))}
      </div>);
    }
    return (<div>
      <MarkdownContent_1.default className="doc-type-description" markdown={field?.description || 'No Description'}/>
      {field && 'deprecationReason' in field && (<MarkdownContent_1.default className="doc-deprecation" markdown={field?.deprecationReason}/>)}
      <div className="doc-category">
        <div className="doc-category-title">{'type'}</div>
        <TypeLink_1.default type={field?.type} onClick={onClickType}/>
      </div>
      {argsDef}
    </div>);
}
exports.default = FieldDoc;
//# sourceMappingURL=FieldDoc.jsx.map