"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const TypeLink_1 = __importDefault(require("./TypeLink"));
const MarkdownContent_1 = __importDefault(require("./MarkdownContent"));
function SchemaDoc({ schema, onClickType }) {
    const queryType = schema.getQueryType();
    const mutationType = schema.getMutationType && schema.getMutationType();
    const subscriptionType = schema.getSubscriptionType && schema.getSubscriptionType();
    return (<div>
      <MarkdownContent_1.default className="doc-type-description" markdown={'A GraphQL schema provides a root type for each kind of operation.'}/>
      <div className="doc-category">
        <div className="doc-category-title">{'root types'}</div>
        <div className="doc-category-item">
          <span className="keyword">{'query'}</span>
          {': '}
          <TypeLink_1.default type={queryType} onClick={onClickType}/>
        </div>
        {mutationType && (<div className="doc-category-item">
            <span className="keyword">{'mutation'}</span>
            {': '}
            <TypeLink_1.default type={mutationType} onClick={onClickType}/>
          </div>)}
        {subscriptionType && (<div className="doc-category-item">
            <span className="keyword">{'subscription'}</span>
            {': '}
            <TypeLink_1.default type={subscriptionType} onClick={onClickType}/>
          </div>)}
      </div>
    </div>);
}
exports.default = SchemaDoc;
//# sourceMappingURL=SchemaDoc.jsx.map