"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const graphql_1 = require("graphql");
function TypeLink(props) {
    const onClick = props.onClick ? props.onClick : () => null;
    return renderType(props.type, onClick);
}
exports.default = TypeLink;
function renderType(type, onClick) {
    if (type instanceof graphql_1.GraphQLNonNull) {
        return (<span>
        {renderType(type.ofType, onClick)}
        {'!'}
      </span>);
    }
    if (type instanceof graphql_1.GraphQLList) {
        return (<span>
        {'['}
        {renderType(type.ofType, onClick)}
        {']'}
      </span>);
    }
    return (<a className="type-name" onClick={event => {
        event.preventDefault();
        onClick(type, event);
    }} href="#">
      {type?.name}
    </a>);
}
//# sourceMappingURL=TypeLink.jsx.map