import React from 'react';
import { GraphQLList, GraphQLNonNull, } from 'graphql';
export default function TypeLink(props) {
    const onClick = props.onClick ? props.onClick : () => null;
    return renderType(props.type, onClick);
}
function renderType(type, onClick) {
    if (type instanceof GraphQLNonNull) {
        return (React.createElement("span", null,
            renderType(type.ofType, onClick),
            '!'));
    }
    if (type instanceof GraphQLList) {
        return (React.createElement("span", null,
            '[',
            renderType(type.ofType, onClick),
            ']'));
    }
    return (React.createElement("a", { className: "type-name", onClick: event => {
            event.preventDefault();
            onClick(type, event);
        }, href: "#" }, type?.name));
}
//# sourceMappingURL=TypeLink.js.map