import React from 'react';
export class ToolbarButton extends React.Component {
    constructor(props) {
        super(props);
        this.handleClick = () => {
            try {
                this.props.onClick();
                this.setState({ error: null });
            }
            catch (error) {
                this.setState({ error });
            }
        };
        this.state = { error: null };
    }
    render() {
        const { error } = this.state;
        return (React.createElement("button", { className: 'toolbar-button' + (error ? ' error' : ''), onClick: this.handleClick, title: error ? error.message : this.props.title, "aria-invalid": error ? 'true' : 'false' }, this.props.label));
    }
}
//# sourceMappingURL=ToolbarButton.js.map