export default class CodeMirrorSizer {
    constructor() {
        this.sizes = [];
    }
    updateSizes(components) {
        components.forEach((component, i) => {
            if (component) {
                const size = component.getClientHeight();
                if (i <= this.sizes.length && size !== this.sizes[i]) {
                    const editor = component.getCodeMirror();
                    if (editor) {
                        editor.setSize(null, null);
                    }
                }
                this.sizes[i] = size;
            }
        });
    }
}
//# sourceMappingURL=CodeMirrorSizer.js.map