export default function debounce(duration, fn) {
    let timeout;
    return function (...args) {
        if (timeout) {
            window.clearTimeout(timeout);
        }
        timeout = window.setTimeout(() => {
            timeout = null;
            fn.apply(this, args);
        }, duration);
    };
}
//# sourceMappingURL=debounce.js.map